# MoneyRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MoneyRequirement

#### Hierarchy (View Summary)

- EncounterSceneRequirement
  - MoneyRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:395

##### Index

### Constructors

constructor

### Properties

requiredMoney
scalingMultiplier

### Methods

getDialogueToken
meetsRequirement

## Constructors

### constructor

- new MoneyRequirement(
  requiredMoney: number,
  scalingMultiplier?: number,
  ): MoneyRequirement

  #### Parameters

  - requiredMoney: number
  - `Optional` scalingMultiplier: number

  #### Returns MoneyRequirement

  Overrides EncounterSceneRequirement.constructor

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:399

## Properties

### requiredMoney

requiredMoney: number

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:396

### scalingMultiplier

scalingMultiplier: number

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:397

## Methods

### getDialogueToken

- getDialogueToken(_pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional`_pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterSceneRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:417

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterSceneRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterSceneRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:405